Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 6671 - No named entity generated for HTML mail send
: No named entity generated for HTML mail send
Product: MailNews Core
Classification: Components
Component: Internationalization (show other bugs)
: Trunk
: x86 Windows NT
: P3 normal (vote)
: M7
Assigned To: Akkana Peck
: Katsuhiko Momoi
Depends on:
Blocks: 5924 7228
  Show dependency treegraph
Reported: 1999-05-18 12:40 PDT by nhottanscp
Modified: 2008-07-31 01:22 PDT (History)
3 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---


Description nhottanscp 1999-05-18 12:40:59 PDT
Used 1999-05-17-09-M6 build.
Ender does not generate named entities for HTML mail. For example, messenger is
getting รก instead of á
Comment 1 Greg Kostello 1999-05-18 16:56:59 PDT
Accepted bug, changed milestone to M7
Comment 2 Greg Kostello 1999-06-10 14:43:59 PDT
Assigning all kostello bugs to akkana
Comment 3 Akkana Peck 1999-06-14 18:48:59 PDT
nsHTMLContentSinkStream used to have a routine called UnicodeToEntity, which was
called by nsHTMLContentSinkStream::UnicodeToHTMLString.  That was replaced in
version 3.33 when EncodeToBuffer (which doesn't do the same thing) was added.
I'm still trying to track down why UnicodeToEntity was removed then, and if this
code was expected to live in the unicode encoder (which isn't always

This bug is at risk of slipping to M8 since it looks like there's a tangled web
of dependencies that no one person really understands.
Comment 4 Akkana Peck 1999-06-15 16:26:59 PDT
Fixed -- the entities should show up now.
Comment 5 Katsuhiko Momoi 1999-06-18 12:38:59 PDT
** Checked with 6/18/99 Win32 build **

I have checked a number of key characters in Latin 1 8-bit
range and they are now all going out in HTML entities in
body. This is the desired result.
The testing was limited to Windows and not exhaustive but
entities are now generated.
If there are specific failures, we'll file them as separate bugs

Marking the fix verified.

Note You need to log in before you can comment on or make changes to this bug.